import { html, ref, repeat } from '@microsoft/fast-element';
export const foundationErrorBannerTemplate = html `
  <foundation-banner ${ref('banner')}>
    <div slot="content">
      <div>${(x) => x.error?.errorDetails || 'Place holder for error message'}</div>
    </div>

    <foundation-button slot="action" appearance="lightweight" @click=${(x) => x.banner?.dismiss()}>
      ${(x) => x.error?.config?.banner?.dismissingAction?.label || 'Ignore'}
    </foundation-button>
    ${repeat((x) => x.error?.config?.banner.confirmingActions, html `
        <foundation-button
          slot="action"
          appearance="lightweight"
          @click=${(x, c) => {
    x?.action();
    c.parent?.dismiss();
}}
        >
          ${(x) => x.label}
        </foundation-button>
      `)}
  </foundation-banner>
`;
