import { html, ref, repeat } from '@microsoft/fast-element';
export const getErrorDialogTemplate = (prefix) => html `
  <${prefix}-dialog show-close-icon="false" ${ref('dialog')}>
    <h2 slot="top" class="title">${(x) => x.error?.title}</h2>
    <div class="details">${(x) => x.error?.errorDetails || 'Place holder for error message'}</div>
    <${prefix}-button slot="bottom" appearance="lightweight" @click=${(x) => {
    x.dismiss();
}}>
      ${(x) => x.error?.config?.dialog?.dismissingAction?.label || 'Ignore'}
    </${prefix}-button>
    ${repeat((x) => x.error?.config?.dialog.confirmingActions, html `
        <${prefix}-button
          slot="bottom"
          appearance="lightweight"
          @click=${(x, c) => {
    x?.action();
    c.parent.closeDialog();
}}
        >
          ${(x) => x.label}
        </${prefix}-button>
      `)}
  </${prefix}-dialog>
`;
export const errorDialogTemplate = html `
  ${(x) => getErrorDialogTemplate(x.tagName.toLowerCase().split('-')[0])}
`;
