import { html, ref, repeat } from '@microsoft/fast-element';
export const foundationSnackbarTemplate = html `
  <div class="snackbar ${(x) => x.deleteAnimation}" ${ref('snackbar')}>
    <div part="content" class="content">
      <div>${(x) => x.error?.errorDetails || 'Place holder for error message'}</div>
    </div>
    <div part="action" class="action">
      ${repeat((x) => x.error?.config?.snackbar?.confirmingActions, html `
          <foundation-button
            slot="action"
            appearance="lightweight"
            @click=${(x, c) => {
    x?.action();
    c.parent?.dismiss();
}}
          >
            ${(x) => x.label}
          </foundation-button>
        `)}
    </div>
  </div>
`;
